"""
An example main.py which makes use of the ProgramChooser library
Copyright (C) 2024  Benjamin Burkhardt <bluefox@privacynerd.de>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

from ProgramChooser import ProgramChooser

def randomblink():
    import randomblink
    randomblink.run()
def lcd_big_hello():
    import lcd_big_hello
    lcd_big_hello.run()

programs = {
    "randomblink": randomblink,
    "lcd_big_hello": lcd_big_hello
    }

pc = ProgramChooser(programs, 7, 8, debug=True)
pc.run()
